RailzwayDocs
API referenceFare API v1

Meters

GET
/v1/meters

Query Parameters

pageSize?integer
Formatint32
pageToken?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/meters"
{  "meters": [    {      "aggregation": "AGGREGATION_TYPE_UNSPECIFIED",      "createTime": "2019-08-24T14:15:22Z",      "displayName": "string",      "eventType": "string",      "groupKeys": [        "string"      ],      "name": "string",      "updateTime": "2019-08-24T14:15:22Z",      "valueProperty": "string"    }  ],  "nextPageToken": "string"}
POST
/v1/meters

Query Parameters

meterId*string
requestId?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Meter defines how usage events are filtered, grouped, and aggregated.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/meters?meterId=string" \  -H "Content-Type: application/json" \  -d '{    "aggregation": "AGGREGATION_TYPE_UNSPECIFIED",    "displayName": "string",    "eventType": "string"  }'
{  "aggregation": "AGGREGATION_TYPE_UNSPECIFIED",  "createTime": "2019-08-24T14:15:22Z",  "displayName": "string",  "eventType": "string",  "groupKeys": [    "string"  ],  "name": "string",  "updateTime": "2019-08-24T14:15:22Z",  "valueProperty": "string"}
GET
/v1/meters/{name}

Path Parameters

name*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/meters/string"
{  "aggregation": "AGGREGATION_TYPE_UNSPECIFIED",  "createTime": "2019-08-24T14:15:22Z",  "displayName": "string",  "eventType": "string",  "groupKeys": [    "string"  ],  "name": "string",  "updateTime": "2019-08-24T14:15:22Z",  "valueProperty": "string"}
PATCH
/v1/meters/{meter.name}

Path Parameters

meter.name*string

Query Parameters

updateMask*string
requestId?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Meter defines how usage events are filtered, grouped, and aggregated.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/meters/string?updateMask=string" \  -H "Content-Type: application/json" \  -d '{    "aggregation": "AGGREGATION_TYPE_UNSPECIFIED",    "displayName": "string",    "eventType": "string"  }'
{  "aggregation": "AGGREGATION_TYPE_UNSPECIFIED",  "createTime": "2019-08-24T14:15:22Z",  "displayName": "string",  "eventType": "string",  "groupKeys": [    "string"  ],  "name": "string",  "updateTime": "2019-08-24T14:15:22Z",  "valueProperty": "string"}